package com.lz.modules.equipment.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
* <p>
* 菜单权限表
* </p>*
* @author quyixiao
* @since 2020-07-29
*/

@Data
@TableName("one_code")
public class OneCode implements java.io.Serializable {
    //自增编号
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除0未删除，1删除
    private Integer isDelete;
    //创建时间
    private Date gmtCreate;
    //修改时间
    private Date gmtModified;
    //编码
    private String code;
    //是否打印 0未打印 1打印
    private Integer isPrint;
    /**
     * 自增编号 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * 自增编号 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除0未删除，1删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除0未删除，1删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 编码 
     * @return
     */
    public String getCode() {
        return code;
    }
    /**
     * 编码 
     * @param code
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * 是否打印 0未打印 1打印 
     * @return
     */
    public Integer getIsPrint() {
        return isPrint;
    }
    /**
     * 是否打印 0未打印 1打印 
     * @param isPrint
     */
    public void setIsPrint(Integer isPrint) {
        this.isPrint = isPrint;
    }

    @Override
    public String toString() {
        return "OneCode{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",code=" + code +
                ",isPrint=" + isPrint +
                "}";
    }
}